{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block bodyClass "bg-light d-flex flex-column min-vh-100" %}

{% block bodyId "app_register" %}

{% block body %}
    <main class="container d-flex align-items-center flex-fill mt-n5">
        <div class="col-lg-4 offset-lg-4 text-center">

            <form method="post">
                <div class="card">
                    <div class="card-title pt-3 pb-0 mb-0">
                        <h1 class="h3 mb-3 font-weight-normal">Sign up</h1>
                        {{ form_errors(registrationForm) }}
                    </div>
                    <div class="card-body">
                        {{ form_label(registrationForm.username) }}
                        {{ form_errors(registrationForm.username) }}
                        {{ form_widget(registrationForm.username) }}
                        {{ form_help(registrationForm.username) }}

                        {{ form_label(registrationForm.email) }}
                        {{ form_errors(registrationForm.email) }}
                        {{ form_widget(registrationForm.email) }}
                        {{ form_help(registrationForm.email) }}

                        {{ form_label(registrationForm.plainPassword.first) }}
                        {{ form_errors(registrationForm.plainPassword.first) }}
                        {{ form_widget(registrationForm.plainPassword.first) }}
                        {{ form_help(registrationForm.plainPassword.first) }}

                        {{ form_label(registrationForm.plainPassword.second) }}
                        {{ form_errors(registrationForm.plainPassword.second) }}
                        {{ form_widget(registrationForm.plainPassword.second) }}
                        {{ form_help(registrationForm.plainPassword.second) }}

                        {{ form_widget(registrationForm._token) }}

                        <button class="btn btn-primary mt-3" type="submit">
                            Sign Up
                        </button>

                    </div>
                </div>
            </form>
        </div>
    </main>
{% endblock %}
